## ros-iron-diagnostic-common-diagnostics 3.1.2

=== debian/changelog ===
ros-iron-diagnostic-common-diagnostics (3.1.2-3jammy) jammy; urgency=high

  * replacing ntpdate with ntplib (#289 <https://github.com/ros/diagnostics/issues/289>)
  * Contributors: Christian Henkel

 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (3.1.1-3jammy) jammy; urgency=high

  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * Linting additional package (#268 <https://github.com/ros/diagnostics/issues/268>)
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (3.1.0-3jammy) jammy; urgency=high

  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Port ntp_monitor to ROS2 (#242 <https://github.com/ros/diagnostics/issues/242>)
  * Contributors: Austin, Christian Henkel, RFRIEDM-Trimble, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.9.3-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.9.2-3jammy) jammy; urgency=high

  * FIX: add missing dependency
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.9.1-3jammy) jammy; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Added CPU percentage monitor
    CPU monitor that outputs the average CPU percentage and a percentage per
    CPU. The user can specify the warning CPU percentage. When one CPU exceeds
    this percentage, the diagnostics status is set to WARN.
  * Contributors: Rein Appeldoorn, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.9.0-3jammy) jammy; urgency=high

  * Remove warning for missing queue size specification
  * Contributors: sandeep

 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.10-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.9-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.8-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.7-3jammy) jammy; urgency=high

  * Remove libsensors node because it isn't portable.
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.6-3jammy) jammy; urgency=high

  * Add voltage sensor support
  * Add ignore_sensors parameter
  * Add license agreement
  * Style cleanup and error handling
  * Initial commit of libsensors based sensors_monitor
  * Contributors: Mitchell Wills, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.5-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.4-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.3-3jammy) jammy; urgency=high

  * ntp_diagnostic now publishing more frequently to avoid stale
  * added install rules for the common diagnostics scripts
  * Contributors: Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.2-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.1-3jammy) jammy; urgency=high

  * Add myself as maintainer
  * fixed exporting python API to address #10 <https://github.com/ros/diagnostics/issues/10>
  * Contributors: Austin Hendrix, Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.8.0-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Apr 2013 22:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.7.11-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 18:24:00 -0000

ros-iron-diagnostic-common-diagnostics (1.7.10-3jammy) jammy; urgency=high

  * Changed package.xml version number before releasing
  * added missing license header
  * added missing license header
  * Contributors: Aaron Blasdel, Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Feb 2013 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.7.9-3jammy) jammy; urgency=high

  * add missing dep to catkin
  * updated setup.py
  * Contributors: Dirk Thomas

 -- Austin Hendrix <namniart@gmail.com>  Thu, 13 Dec 2012 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.7.8-3jammy) jammy; urgency=high

  * fix setup.py requires
  * Contributors: Dirk Thomas

 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Dec 2012 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.7.7-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 09 Nov 2012 23:00:00 -0000

ros-iron-diagnostic-common-diagnostics (1.7.6-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 22:32:00 -0000

ros-iron-diagnostic-common-diagnostics (1.7.5-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 20:53:00 -0000


